/*******************************************************************************
 * Copyright (c) 2000, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package java.util;

public interface SortedMap extends Map {

public Comparator comparator();

public Object firstKey();

public SortedMap headMap(Object toKey);

public Object lastKey();

public SortedMap subMap(Object fromKey, Object toKey);

public SortedMap tailMap(Object fromKey);

}
